Description: update README
Author: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Origin: upstream
Last-Update: 2015-06-01

diff --git a/README b/README
index 96d2448..04915c9 100644
--- a/README
+++ b/README
@@ -1,36 +1,31 @@
+= DEPRECATION WARNING
+  Please do not use this gem. It has long been surpassed by other, better
+  memoization gems like memoizable and memoist.
+
 = Description
-   A method that speeds methods up at the cost of memory (or disk space).
+  A method that speeds methods up at the cost of memory (or disk space).
    
-= Prerequisites
-   Ruby 1.8.0 or later
-
 = Installation
-== Standard Installation
-   rake test (optional)
-   rake install
-
-== Gems Installation
-   rake test (optional)
-   rake gem install
+  gem install memoize
 
 = Synopsis
-   require "memoize"
-   include Memoize
+  require 'memoize'
+  include Memoize
 
-   # Inefficient fibonacci method
-   def fib(n)
-      return n if n < 2
-      fib(n-1) + fib(n-2)
-   end
+  # Inefficient fibonacci method
+  def fib(n)
+    return n if n < 2
+    fib(n-1) + fib(n-2)
+  end
 
-   fib(100) # Slow
+  fib(100) # Slow
 
-   memoize(:fib)
-   fib(100) # Fast
+  memoize(:fib)
+  fib(100) # Fast
    
-   # Or store the cache to a file for later use
-   memoize(:fib, "fib.cache")
-   fib(100) # Fast
+  # Or store the cache to a file for later use
+  memoize(:fib, "fib.cache")
+  fib(100) # Fast
 
 = Constants
 Memoize::MEMOIZE_VERSION
@@ -51,30 +46,35 @@ Memoize#memoize(method, file=nil)
    so inclined.
 
 = Acknowledgements
-   Code borrowed from Nobu Nakada (ruby-talk:155159).
-   Code borrowed from Ara Howard (ruby-talk:173428).
-   Code borrowed from Andrew Johnson (http://tinyurl.com/8ymx8)
-   Ideas taken from Brian Buckley and Sean O'Halpin.
-   Tiny URL provided for Andrew Johnson because I could not find the ruby-talk
-   reference.  The gateway may have been broken at the time.
+  Code borrowed from Nobu Nakada (ruby-talk:155159).
+  Code borrowed from Ara Howard (ruby-talk:173428).
+  Code borrowed from Andrew Johnson (http://tinyurl.com/8ymx8)
+  Ideas taken from Brian Buckley and Sean O'Halpin.
+  Tiny URL provided for Andrew Johnson because I could not find the ruby-talk
+  reference. The gateway may have been broken at the time.
+
+= Alternatives
+  * memoist by Joshua Peek et al.
+  * memoizable from James Edward Gray
+  * simple_memoize from Jack Canty
+
+  Running "gem search -r memoize" will list more alternatives.
    
 == Known Issues
-   None that I'm aware of.  Please report any problems on the Shards tracker
-   or the forums at http://www.rubyforge.org/projects/shards.
+  This library is deprecated. I will no longer support it, and will
+  eventually yank it from the gem index.
 
 == License
-   Artistic 2.0
+  Artistic 2.0
    
 == Warranty
-   This package is provided "as is" and without any express or
-   implied warranties, including, without limitation, the implied
-   warranties of merchantability and fitness for a particular purpose.
+  This package is provided "as is" and without any express or
+  implied warranties, including, without limitation, the implied
+  warranties of merchantability and fitness for a particular purpose.
 
 == Copyright
-   (C) 2005-2009 Daniel J. Berger
-   All Rights Reserved
+  (C) 2005-2014 Daniel J. Berger
+  All Rights Reserved
 
 = Author
-   Daniel J. Berger
-   djberg96 at gmail dot com
-   IRC nick: imperator (freenode)
+  Daniel J. Berger
